summaryrefslogtreecommitdiff
path: root/tests/cp/fail-perm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/fail-perm')
-rwxr-xr-xtests/cp/fail-perm32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/cp/fail-perm b/tests/cp/fail-perm
new file mode 100755
index 000000000..332b5b354
--- /dev/null
+++ b/tests/cp/fail-perm
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+pwd=`pwd`
+tmp=fail-perm.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir D || framework_failure=1
+touch D/a || framework_failure=1
+chmod 0 D/a || framework_failure=1
+chmod 500 D || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+cp -pR D DD > /dev/null 2>&1 || fail=1
+
+# Permissions on DD must be `dr-x------'
+
+set X `ls -ld DD`
+shift
+test "$1" = dr-x------ || fail=1
+chmod 700 D
+
+(exit $fail); exit